Subject: Re: bug#77345: 30.1; "C-h w" doesn't detect binding in the midst of an M-x invocation

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Mar 2025 18:42:32 +0300

> From: Suhail Singh <[email-masked]>
> Cc: Suhail Singh <[email-masked]>,  [email-masked]
> Date: Sat, 29 Mar 2025 11:22:39 -0400
> 
> Sometimes, I know (roughly) the name of the command, but not the
> keybinding for it.  So I begin my journey by invoking M-x and rely on
> TAB completion.  Having found the right command, I want to do two
> things: one, invoke it; two, learn the keybinding if there is one
> present.

Unless you turn OFF suggest-key-bindings, "M-x" will always show you
in the echo-area the key binding of the last command you invoked.  Why
is that not enough?